import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson, JsonMap } from '@salesforce/ts-types';
export default class Run extends SfdxCommand {
    static description: string;
    static examples: string[];
    static args: any[];
    protected static varargs: boolean;
    protected static flagsConfig: {
        server: flags.Discriminated<flags.String>;
        organization: flags.Discriminated<flags.String>;
        projectkey: flags.Discriminated<flags.String>;
        token: flags.Discriminated<flags.String>;
        username: flags.Discriminated<flags.String>;
        password: flags.Discriminated<flags.String>;
        noqualitygate: flags.Discriminated<flags.Boolean<boolean>>;
        javahome: flags.Discriminated<flags.String>;
        nofail: flags.Discriminated<flags.Boolean<boolean>>;
        qgtimeout: flags.Discriminated<flags.Number>;
    };
    private static SONAR_SCANNER_VERSION;
    protected varargValues: any[];
    protected codescanPath: any;
    run(): Promise<AnyJson>;
    protected parseVarargs(args?: string[]): JsonMap;
    private printQualityGate;
    private getQualityGate;
    private resolveJava;
    private resolveSonarScanner;
    private contains;
}
